import {Schema} from 'mongoose';
import { baseDB } from '../../db/dbInit';

const financingSchema = new Schema({
    uscc:{type:String, key:true},//统一信用代码
    id:{type:String, key:true},//唯一标识
    createTime:Number,//入库时间
    financingTime:Number,//获得融资时间
    financingAmount:Number,//融资金额(万元)
    investmentInstitutionsName:String,//投资机构名称
    timeToObtainInvestment:Number,//获得投资时间
    fuHuaQiInvestment:{type:Boolean, default:false},//孵化器是否投资
    fuHuaQiInvestmentAmount:Number,//孵化器投资金额(万元)
    fuHuaQiInvestmentStyle:Number,//孵化器投资方式
});

var financingModel;
export function initModel(){
    financingModel = baseDB.model('financing', financingSchema);
}
